GNU bug report logs - #40543
[PATCH 0/4] Work towards enabling virt-manager tests

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Christopher Baines <mail@HIDDEN>; Keywords: patch; dated Fri, 10 Apr 2020 16:10:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 40543 <at> debbugs.gnu.org:


Received: (at 40543) by debbugs.gnu.org; 16 Apr 2020 08:29:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 16 04:29:07 2020
Received: from localhost ([127.0.0.1]:37477 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jOztS-0000f6-Ia
	for submit <at> debbugs.gnu.org; Thu, 16 Apr 2020 04:29:07 -0400
Received: from mira.cbaines.net ([212.71.252.8]:55822)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jOztH-0000dA-F7
 for 40543 <at> debbugs.gnu.org; Thu, 16 Apr 2020 04:28:56 -0400
Received: from localhost (unknown [46.237.160.17])
 by mira.cbaines.net (Postfix) with ESMTPSA id 03A6427BBEB
 for <40543 <at> debbugs.gnu.org>; Thu, 16 Apr 2020 09:28:54 +0100 (BST)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id 4515ad79
 for <40543 <at> debbugs.gnu.org>; Thu, 16 Apr 2020 08:28:52 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: 40543 <at> debbugs.gnu.org
Subject: [PATCH v3 4/5] gnu: python2-dogtail: Switch to Python 3,
 and add Python 2 variant.
Date: Thu, 16 Apr 2020 09:28:51 +0100
Message-Id: <20200416082852.4319-4-mail@HIDDEN>
X-Mailer: git-send-email 2.26.0
In-Reply-To: <20200416082852.4319-1-mail@HIDDEN>
References: <20200415174952.9368-1-mail@HIDDEN>
 <20200416082852.4319-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40543
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python2-dogtail): Rename to python-dogtail.
[name]: Change python2-dogtail to python-dogtail.
[arguments]: Remove #:python.
[propagated-inputs,native-inputs]: Switch Python 2 packages to Python 3
variants.
(python2-dogtail): New variable.
---
 gnu/packages/python-xyz.scm | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 3dccedd6df..768f030051 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -1736,11 +1736,9 @@ Python 3.3+.")
                (delete-file "test/test_Script.py")
                #t))))))))
 
-(define-public python2-dogtail
-  ;; Python 2 only, as it leads to "TabError: inconsistent use of tabs and
-  ;; spaces in indentation" with Python 3.
+(define-public python-dogtail
   (package
-    (name "python2-dogtail")
+    (name "python-dogtail")
     (version "0.9.11")
     (source (origin
              (method url-fetch)
@@ -1753,8 +1751,7 @@ Python 3.3+.")
                "0sr38z7b2n12bvfd4xw4b5dnnhkn5zl3h0ymmnnzavcihfqia6l0"))))
     (build-system python-build-system)
     (arguments
-     `(#:python ,python-2
-       #:tests? #f                      ; TODO Launching dbus for the tests
+     `(#:tests? #f                      ; TODO Launching dbus for the tests
                                         ; fails
        #:phases
        (modify-phases %standard-phases
@@ -1766,11 +1763,11 @@ Python 3.3+.")
                (invoke "dbus-run-session" "--" "nosetests" "-v" "tests/"))
              #t)))))
     (propagated-inputs
-     `(("python-pygobject" ,python2-pygobject)
-       ("python-pycairo" ,python2-pycairo)
-       ("python-pyatspi" ,python2-pyatspi)))
+     `(("python-pygobject" ,python-pygobject)
+       ("python-pycairo" ,python-pycairo)
+       ("python-pyatspi" ,python-pyatspi)))
     (native-inputs
-     `(("python-nose" ,python2-nose)
+     `(("python-nose" ,python-nose)
        ("gtk+" ,gtk+)
        ("xvfb" ,xorg-server)
        ("dbus" ,dbus)
@@ -1785,6 +1782,9 @@ applications. dogtail scripts are written in Python and executed like any
 other Python program.")
     (license license:gpl2+)))
 
+(define-public python2-dogtail
+  (package-with-python2 python-dogtail))
+
 (define-public python-empy
   (package
     (name "python-empy")
-- 
2.26.0





Information forwarded to guix-patches@HIDDEN:
bug#40543; Package guix-patches. Full text available.

Message received at 40543 <at> debbugs.gnu.org:


Received: (at 40543) by debbugs.gnu.org; 16 Apr 2020 08:28:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 16 04:28:58 2020
Received: from localhost ([127.0.0.1]:37470 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jOztK-0000dx-7B
	for submit <at> debbugs.gnu.org; Thu, 16 Apr 2020 04:28:58 -0400
Received: from mira.cbaines.net ([212.71.252.8]:55824)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jOztH-0000dB-ID
 for 40543 <at> debbugs.gnu.org; Thu, 16 Apr 2020 04:28:56 -0400
Received: from localhost (unknown [46.237.160.17])
 by mira.cbaines.net (Postfix) with ESMTPSA id 1BEF427BBEE
 for <40543 <at> debbugs.gnu.org>; Thu, 16 Apr 2020 09:28:55 +0100 (BST)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id 36542a2f
 for <40543 <at> debbugs.gnu.org>; Thu, 16 Apr 2020 08:28:52 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: 40543 <at> debbugs.gnu.org
Subject: [PATCH v3 5/5] gnu: virt-manager: Work towards enabling some tests.
Date: Thu, 16 Apr 2020 09:28:52 +0100
Message-Id: <20200416082852.4319-5-mail@HIDDEN>
X-Mailer: git-send-email 2.26.0
In-Reply-To: <20200416082852.4319-1-mail@HIDDEN>
References: <20200415174952.9368-1-mail@HIDDEN>
 <20200416082852.4319-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40543
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/virtualization.scm (virt-manager)[arguments]: Set #:test-target
to "test_ui", replace the 'check phase.
[native-inputs]: Add some inputs required for running tests.
---
 gnu/packages/virtualization.scm | 26 ++++++++++++++++++++++----
 1 file changed, 22 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/virtualization.scm b/gnu/packages/virtualization.scm
index be17ec15f0..d56202d4b7 100644
--- a/gnu/packages/virtualization.scm
+++ b/gnu/packages/virtualization.scm
@@ -602,9 +602,10 @@ virtualization library.")
     (build-system python-build-system)
     (arguments
      `(#:use-setuptools? #f          ; uses custom distutils 'install' command
-       ;; Some of the tests seem to require network access to install virtual
-       ;; machines.
-       #:tests? #f
+       #:test-target "test_ui"
+       #:tests? #f                      ; TODO The tests currently fail
+                                        ; RuntimeError: Loop condition wasn't
+                                        ; met
        #:imported-modules ((guix build glib-or-gtk-build-system)
                            ,@%python-build-system-modules)
        #:modules ((ice-9 match)
@@ -651,6 +652,16 @@ virtualization library.")
                                ,(filter identity paths))))
                          bin-files))
              #t))
+         (replace 'check
+           (lambda* (#:key tests? #:allow-other-keys)
+             (when tests?
+               (setenv "HOME" "/tmp")
+               (system "Xvfb :1 &")
+               (setenv "DISPLAY" ":1")
+               ;; Dogtail requires that Assistive Technology support be enabled
+               (setenv "GTK_MODULES" "gail:atk-bridge")
+               (invoke "dbus-run-session" "--" "python" "setup.py" "test_ui"))
+             #t))
          (add-after 'install 'glib-or-gtk-compile-schemas
            (assoc-ref glib-or-gtk:%standard-phases 'glib-or-gtk-compile-schemas))
          (add-after 'install 'glib-or-gtk-wrap
@@ -679,7 +690,14 @@ virtualization library.")
        ("gobject-introspection" ,gobject-introspection)
        ("gtk+" ,gtk+ "bin")             ; gtk-update-icon-cache
        ("perl" ,perl)                   ; pod2man
-       ("intltool" ,intltool)))
+       ("intltool" ,intltool)
+       ;; The following are required for running the tests
+       ;; ("python-dogtail" ,python-dogtail)
+       ;; ("xvfb" ,xorg-server-for-tests)
+       ;; ("dbus" ,dbus)
+       ;; ("at-spi2-core" ,at-spi2-core)
+       ;; ("gsettings-desktop-schemas" ,gsettings-desktop-schemas)
+       ))
     (home-page "https://virt-manager.org/")
     (synopsis "Manage virtual machines")
     (description
-- 
2.26.0





Information forwarded to guix-patches@HIDDEN:
bug#40543; Package guix-patches. Full text available.

Message received at 40543 <at> debbugs.gnu.org:


Received: (at 40543) by debbugs.gnu.org; 16 Apr 2020 08:28:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 16 04:28:58 2020
Received: from localhost ([127.0.0.1]:37468 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jOztJ-0000dp-S0
	for submit <at> debbugs.gnu.org; Thu, 16 Apr 2020 04:28:58 -0400
Received: from mira.cbaines.net ([212.71.252.8]:55820)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jOztH-0000d9-CN
 for 40543 <at> debbugs.gnu.org; Thu, 16 Apr 2020 04:28:56 -0400
Received: from localhost (unknown [46.237.160.17])
 by mira.cbaines.net (Postfix) with ESMTPSA id DF3D327BBEA
 for <40543 <at> debbugs.gnu.org>; Thu, 16 Apr 2020 09:28:54 +0100 (BST)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id 94ef8cab
 for <40543 <at> debbugs.gnu.org>; Thu, 16 Apr 2020 08:28:52 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: 40543 <at> debbugs.gnu.org
Subject: [PATCH v3 3/5] gnu: python2-dogtail: Update to 0.9.11.
Date: Thu, 16 Apr 2020 09:28:50 +0100
Message-Id: <20200416082852.4319-3-mail@HIDDEN>
X-Mailer: git-send-email 2.26.0
In-Reply-To: <20200416082852.4319-1-mail@HIDDEN>
References: <20200415174952.9368-1-mail@HIDDEN>
 <20200416082852.4319-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40543
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

There are newer releases on a gitlab.com repository compared to PyPI. Make an
attempt at getting the tests to work, they don't yet I believe because DBus
isn't working properly. This update is a step towards getting a Python 3
variant of the package, which can be used to test virt-manager.

* gnu/packages/python-xyz.scm (python2-dogtail): Update to 0.9.11.
[source]: Switch from PyPI to gitlab.com, as gitlab.com contains newer
releases.
[arguments]: Replace the check phase, and update comment about disabling the
tests.
[propagated-inputs,native-inputs]: Add relevant packages.
[home-page]: Change to https://gitlab.com/dogtail/dogtail/
---
 gnu/packages/python-xyz.scm | 38 ++++++++++++++++++++++++++++++-------
 1 file changed, 31 insertions(+), 7 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 20b8784c05..3dccedd6df 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -1741,18 +1741,42 @@ Python 3.3+.")
   ;; spaces in indentation" with Python 3.
   (package
     (name "python2-dogtail")
-    (version "0.9.9")
+    (version "0.9.11")
     (source (origin
              (method url-fetch)
-             (uri (pypi-uri "dogtail" version))
+             (uri
+              (string-append
+               "https://gitlab.com/dogtail/dogtail/-/raw/released/"
+               "dogtail-" version ".tar.gz"))
              (sha256
               (base32
-               "0p5wfssvzr9w0bvhllzbbd8fnp4cca2qxcpcsc33dchrmh5n552x"))))
+               "0sr38z7b2n12bvfd4xw4b5dnnhkn5zl3h0ymmnnzavcihfqia6l0"))))
     (build-system python-build-system)
-    (arguments `(#:python ,python-2
-                 #:tests? #f))                    ; invalid command "test"
-    ;; Currently no offical homepage.
-    (home-page "https://pypi.org/project/dogtail/")
+    (arguments
+     `(#:python ,python-2
+       #:tests? #f                      ; TODO Launching dbus for the tests
+                                        ; fails
+       #:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda* (#:key tests? #:allow-other-keys)
+             (when tests?
+               (system "Xvfb :1 &")
+               (setenv "DISPLAY" ":1")
+               (invoke "dbus-run-session" "--" "nosetests" "-v" "tests/"))
+             #t)))))
+    (propagated-inputs
+     `(("python-pygobject" ,python2-pygobject)
+       ("python-pycairo" ,python2-pycairo)
+       ("python-pyatspi" ,python2-pyatspi)))
+    (native-inputs
+     `(("python-nose" ,python2-nose)
+       ("gtk+" ,gtk+)
+       ("xvfb" ,xorg-server)
+       ("dbus" ,dbus)
+       ("gsettings-desktop-schemas" ,gsettings-desktop-schemas)
+       ("gobject-introspection" ,gobject-introspection)))
+    (home-page "https://gitlab.com/dogtail/dogtail/")
     (synopsis "GUI test tool and automation framework written in Python")
     (description
      "Dogtail is a GUI test tool and automation framework written in Python.
-- 
2.26.0





Information forwarded to guix-patches@HIDDEN:
bug#40543; Package guix-patches. Full text available.

Message received at 40543 <at> debbugs.gnu.org:


Received: (at 40543) by debbugs.gnu.org; 16 Apr 2020 08:28:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 16 04:28:57 2020
Received: from localhost ([127.0.0.1]:37466 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jOztJ-0000di-Hh
	for submit <at> debbugs.gnu.org; Thu, 16 Apr 2020 04:28:57 -0400
Received: from mira.cbaines.net ([212.71.252.8]:55818)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jOztH-0000d8-8n
 for 40543 <at> debbugs.gnu.org; Thu, 16 Apr 2020 04:28:55 -0400
Received: from localhost (unknown [46.237.160.17])
 by mira.cbaines.net (Postfix) with ESMTPSA id C6CEA27BBE4
 for <40543 <at> debbugs.gnu.org>; Thu, 16 Apr 2020 09:28:54 +0100 (BST)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id 7c1b10f3
 for <40543 <at> debbugs.gnu.org>; Thu, 16 Apr 2020 08:28:52 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: 40543 <at> debbugs.gnu.org
Subject: [PATCH v3 2/5] gnu: python-pyatspi: Propagate python-pygobject.
Date: Thu, 16 Apr 2020 09:28:49 +0100
Message-Id: <20200416082852.4319-2-mail@HIDDEN>
X-Mailer: git-send-email 2.26.0
In-Reply-To: <20200416082852.4319-1-mail@HIDDEN>
References: <20200415174952.9368-1-mail@HIDDEN>
 <20200416082852.4319-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40543
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

As python-pygobject is required at runtime.

* gnu/packages/gnome.scm (python-pyatspi)[inputs]: Move python-pygobject to…
[propagated-inputs]: …here.
(python2-pyatspi)[inputs]: Move python2-pygobject to…
[propagated-inputs]: …here.
---
 gnu/packages/gnome.scm | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 4710bd1349..e7b36fff1d 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -8763,8 +8763,9 @@ from gi.repository import Atspi"))
     (native-inputs
      `(("pkg-config" ,pkg-config)))
     (inputs
-     `(("python" ,python)
-       ("python-pygobject" ,python-pygobject)))
+     `(("python" ,python)))
+    (propagated-inputs
+     `(("python-pygobject" ,python-pygobject)))
     (synopsis "Python client bindings for D-Bus AT-SPI")
     (home-page "https://wiki.linuxfoundation.org/accessibility\
 /atk/at-spi/at-spi_on_d-bus")
@@ -8779,8 +8780,9 @@ accessibility infrastructure.")
     (inherit python-pyatspi)
     (name "python2-pyatspi")
     (inputs
-     `(("python" ,python-2)
-       ("python-pygobject" ,python2-pygobject)))))
+     `(("python" ,python-2)))
+    (propagated-inputs
+     `(("python-pygobject" ,python2-pygobject)))))
 
 (define-public orca
   (package
-- 
2.26.0





Information forwarded to guix-patches@HIDDEN:
bug#40543; Package guix-patches. Full text available.

Message received at 40543 <at> debbugs.gnu.org:


Received: (at 40543) by debbugs.gnu.org; 16 Apr 2020 08:28:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 16 04:28:57 2020
Received: from localhost ([127.0.0.1]:37464 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jOztJ-0000dg-C1
	for submit <at> debbugs.gnu.org; Thu, 16 Apr 2020 04:28:57 -0400
Received: from mira.cbaines.net ([212.71.252.8]:55816)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jOztH-0000d7-5h
 for 40543 <at> debbugs.gnu.org; Thu, 16 Apr 2020 04:28:55 -0400
Received: from localhost (unknown [46.237.160.17])
 by mira.cbaines.net (Postfix) with ESMTPSA id A4C5327BBE1
 for <40543 <at> debbugs.gnu.org>; Thu, 16 Apr 2020 09:28:54 +0100 (BST)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id 94eff15b
 for <40543 <at> debbugs.gnu.org>; Thu, 16 Apr 2020 08:28:52 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: 40543 <at> debbugs.gnu.org
Subject: [PATCH v3 1/5] gnu: Add python2-pyatspi.
Date: Thu, 16 Apr 2020 09:28:48 +0100
Message-Id: <20200416082852.4319-1-mail@HIDDEN>
X-Mailer: git-send-email 2.26.0
In-Reply-To: <20200415174952.9368-1-mail@HIDDEN>
References: <20200415174952.9368-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 40543
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This will enable updating python2-dogtail to 0.9.11.

* gnu/packages/gnome.scm (python2-pyatspi): New variable.
---
 gnu/packages/gnome.scm | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 33aae4545e..4710bd1349 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -8774,6 +8774,14 @@ accessibility infrastructure.")
     (license license:lgpl2.0)
     (properties '((upstream-name . "pyatspi")))))
 
+(define-public python2-pyatspi
+  (package
+    (inherit python-pyatspi)
+    (name "python2-pyatspi")
+    (inputs
+     `(("python" ,python-2)
+       ("python-pygobject" ,python2-pygobject)))))
+
 (define-public orca
   (package
     (name "orca")
-- 
2.26.0





Information forwarded to guix-patches@HIDDEN:
bug#40543; Package guix-patches. Full text available.

Message received at 40543 <at> debbugs.gnu.org:


Received: (at 40543) by debbugs.gnu.org; 16 Apr 2020 08:28:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 16 04:28:25 2020
Received: from localhost ([127.0.0.1]:37457 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jOzsn-0000cL-4L
	for submit <at> debbugs.gnu.org; Thu, 16 Apr 2020 04:28:25 -0400
Received: from mira.cbaines.net ([212.71.252.8]:55812)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jOzsh-0000c7-SB
 for 40543 <at> debbugs.gnu.org; Thu, 16 Apr 2020 04:28:23 -0400
Received: from localhost (unknown [46.237.160.17])
 by mira.cbaines.net (Postfix) with ESMTPSA id 606B227BBE1;
 Thu, 16 Apr 2020 09:28:19 +0100 (BST)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id 82b67dc7;
 Thu, 16 Apr 2020 08:28:17 +0000 (UTC)
References: <87wo6n726x.fsf@HIDDEN>
 <20200415174952.9368-1-mail@HIDDEN>
 <20200415174952.9368-2-mail@HIDDEN> <875ze0ioi1.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.3
From: Christopher Baines <mail@HIDDEN>
To: Marius Bakke <mbakke@HIDDEN>
Subject: Re: [bug#40543] [PATCH v2 2/5] gnu: python-pyatspi: Propagate
 python-pygobject.
In-reply-to: <875ze0ioi1.fsf@HIDDEN>
Date: Thu, 16 Apr 2020 09:28:16 +0100
Message-ID: <87r1wn6di7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40543
Cc: 40543 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


Marius Bakke <mbakke@HIDDEN> writes:

> Christopher Baines <mail@HIDDEN> writes:
>
>> As python-pygobject is required at runtime.
>>
>> * gnu/packages/gnome.scm (python-pygobject)[inputs]: Move python-pygobje=
ct to=E2=80=A6
>                                    ^^^
> Typo: I think this should be 'python-pyatspi'.
>
>> [propagated-inputs]: =E2=80=A6here.
>> (python2-pygobject)[inputs]: Move python2-pygobject to=E2=80=A6
>             ^^^ likewise
>> [propagated-inputs]: =E2=80=A6here.
>> ---
>>  gnu/packages/gnome.scm | 10 ++++++----
>>  1 file changed, 6 insertions(+), 4 deletions(-)

Good spot, I've fixed.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKTBAEBCgB9FiEEPonu50WOcg2XVOCyXiijOwuE9XcFAl6YFyBfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcACgkQXiijOwuE
9XedoxAAqpg/DlcB/V4kBWpSSvyIq53nuq+Q7pzXXAvfuOeM9AGPcujCx90bztMR
a0xw9cPKTzRJOQmxYTaDnA3aRgPwNWUq9mZV1lmiHfMe03a3OaTNqdtkmxg2A2tg
0SfZIKQfJgcDfFXXg5oEmZvuqdGnpEP5ra+4v5wS4Si0fL0DTlk06PDPjY2HBCO0
mLU0mq5yMnsuO8/1xaTjWu4qYnc1i94DWVdvENWilpVvp9rpKEB2XO/NpF6WDsPp
tPs0Um7OWLongJ3a1HC4Vzlre0nGz26urefXKoiymBz/KTU2ARC++qUN1RpyDzRT
HLdAI1PYF455UeGnuRpqagdLQ+cma4xW3j05moSmcckcphHjyN3zv0Yns26eFAdT
7AxX+sLYtGexy6SUqRi4O/BAdpjhMam5FUJASNkZYBSsZ7Qp1KvDXR02+QByP3Gs
qWDIyh4n6aB0f3h0KrI1NKIG922PKMEDHrbabckMJWMh9ZzYMmR34mXPfYUt6igg
RxVZNyTm8PJutOHio8wTGsP6zzKVCCmphEX2UuV2E07XVn7gwwr/3QluXGUWtzzs
xd3ZqGCukUHtMZEEeFOgCd3qV7G6C2vdra6iQQkcDPOEpbWXKplKS06FuT8M9+Hu
bS6ElkuG9PtKejKJWQxzBj9kB28qTgUCPEpY0s480PCuKtTzCoU=
=cIgN
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#40543; Package guix-patches. Full text available.

Message received at 40543 <at> debbugs.gnu.org:


Received: (at 40543) by debbugs.gnu.org; 16 Apr 2020 08:27:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 16 04:27:45 2020
Received: from localhost ([127.0.0.1]:37453 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jOzs8-0000b1-P7
	for submit <at> debbugs.gnu.org; Thu, 16 Apr 2020 04:27:45 -0400
Received: from mira.cbaines.net ([212.71.252.8]:55806)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jOzs6-0000ar-HD
 for 40543 <at> debbugs.gnu.org; Thu, 16 Apr 2020 04:27:43 -0400
Received: from localhost (unknown [46.237.160.17])
 by mira.cbaines.net (Postfix) with ESMTPSA id 8107A27BBE1;
 Thu, 16 Apr 2020 09:27:41 +0100 (BST)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id b25b4d21;
 Thu, 16 Apr 2020 08:27:38 +0000 (UTC)
References: <87wo6n726x.fsf@HIDDEN>
 <20200415174952.9368-1-mail@HIDDEN>
 <20200415174952.9368-5-mail@HIDDEN> <873694io3q.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.3
From: Christopher Baines <mail@HIDDEN>
To: Marius Bakke <mbakke@HIDDEN>
Subject: Re: [bug#40543] [PATCH v2 5/5] gnu: virt-manager: Work towards
 enabling some tests.
In-reply-to: <873694io3q.fsf@HIDDEN>
Date: Thu, 16 Apr 2020 09:27:36 +0100
Message-ID: <87sgh36djb.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40543
Cc: 40543 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


Marius Bakke <mbakke@HIDDEN> writes:

> Christopher Baines <mail@HIDDEN> writes:
>
>> * gnu/packages/virtualization.scm (virt-manager)[arguments]: Set #:test-target
>> to "test_ui", replace the 'check phase.
>> [native-inputs]: Add some inputs required for running tests.
>> ---
>>  gnu/packages/virtualization.scm | 25 +++++++++++++++++++++----
>>  1 file changed, 21 insertions(+), 4 deletions(-)
>>
>> diff --git a/gnu/packages/virtualization.scm b/gnu/packages/virtualization.scm
>> index be17ec15f0..c8840f345a 100644
>> --- a/gnu/packages/virtualization.scm
>> +++ b/gnu/packages/virtualization.scm
>> @@ -602,9 +602,10 @@ virtualization library.")
>>      (build-system python-build-system)
>>      (arguments
>>       `(#:use-setuptools? #f          ; uses custom distutils 'install' command
>> -       ;; Some of the tests seem to require network access to install virtual
>> -       ;; machines.
>> -       #:tests? #f
>> +       #:test-target "test_ui"
>> +       #:tests? #f                      ; TODO The tests currently fail
>> +                                        ; RuntimeError: Loop condition wasn't
>> +                                        ; met
>>         #:imported-modules ((guix build glib-or-gtk-build-system)
>>                             ,@%python-build-system-modules)
>>         #:modules ((ice-9 match)
>> @@ -651,6 +652,16 @@ virtualization library.")
>>                                 ,(filter identity paths))))
>>                           bin-files))
>>               #t))
>> +         (replace 'check
>> +           (lambda* (#:key tests? #:allow-other-keys)
>> +             (when tests?
>> +               (setenv "HOME" "/tmp")
>> +               (system "Xvfb :1 &")
>> +               (setenv "DISPLAY" ":1")
>> +               ;; Dogtail requires that Assistive Technology support be enabled
>> +               (setenv "GTK_MODULES" "gail:atk-bridge")
>> +               (invoke "dbus-run-session" "--" "python" "setup.py" "test_ui"))
>> +             #t))
>>           (add-after 'install 'glib-or-gtk-compile-schemas
>>             (assoc-ref glib-or-gtk:%standard-phases 'glib-or-gtk-compile-schemas))
>>           (add-after 'install 'glib-or-gtk-wrap
>> @@ -679,7 +690,13 @@ virtualization library.")
>>         ("gobject-introspection" ,gobject-introspection)
>>         ("gtk+" ,gtk+ "bin")             ; gtk-update-icon-cache
>>         ("perl" ,perl)                   ; pod2man
>> -       ("intltool" ,intltool)))
>> +       ("intltool" ,intltool)
>> +       ;; The following are required for running the tests
>> +       ("python-dogtail" ,python-dogtail)
>> +       ("xvfb" ,xorg-server)
>> +       ("dbus" ,dbus)
>> +       ("at-spi2-core" ,at-spi2-core)
>> +       ("gsettings-desktop-schemas" ,gsettings-desktop-schemas)))
>
> Perhaps we should comment these inputs for now so that they won't
> needlessly rebuild this package?

Sure, I'll comment them out.

> Also, this should use 'xorg-server-for-tests'.

I did see xorg-server-for-tests, but the comment said "This package is
intended to be used when building GTK". I guess the same reasoning
applies though, and it is used for packages other than GTK.

I'll make these changes and send some updated patches.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKTBAEBCgB9FiEEPonu50WOcg2XVOCyXiijOwuE9XcFAl6YFvhfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcACgkQXiijOwuE
9Xekiw/9Ev46sjrmZmo3VTjrqYRItONhfeULg5xgLnvzQ8Ud9qEX3JXGGVFxtJ+L
T4RumxIoS7NV3XrpqU2I61MrB8AhEhTjBjynJFqp3nl8WzdQVubn/mRNAWfbM7Q1
c48Yn2ZB+Y0dqkFH/MX8CBUUU352Rrdk7kbOPe1SlD/WnSrQsMG2AQkGkp+L4l7C
2uhQJybIyQrOyNDuiYTwsN2jCzIT7GDj1n9HN4rPcRiv5BgQ4UN6w48hjkt2/WTV
u7u8QdV7VD5Wjs8/Pg8MOynVW6NR14QMmMaTucOON1/0TFUT3kVmJ7wYrZXQrOKm
dfoahWDVpSRMZCq8HO2WZv2UC0VpuE8UEI96AePyXKi5uppa9/3KbESu2vPR7bjT
b2IxYJi87TibIXg8Gjfx5jau7sQPLCwlAMxXg3hG1xY8n3I8MQUgYTbxwcnTD/0b
6I4h4jih3Zqf+OEqYxPLa5O+sH4Rg3q3k+gZOqJbZr0q2DRQfQpSMS+tmBWTii9C
QntTuE3IhYfjBARJVTdamzS4zAoVj4Df6ZXOgbwPIdd3GSQR2pBw2XW+NCCbkjo7
d6QGPHqz4hUydfUoEgaJegGj5o8EwfFQqPWX5gdR6oRfznJvgEB/QH+rdsFppDPT
eVoXxKZ4aJ0fsDaXif/YFXTjHP7WTjb1QC0gUXHjOKmEnIaK9Tk=
=R8vD
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#40543; Package guix-patches. Full text available.

Message received at 40543 <at> debbugs.gnu.org:


Received: (at 40543) by debbugs.gnu.org; 15 Apr 2020 18:46:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 15 14:46:29 2020
Received: from localhost ([127.0.0.1]:37148 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jOn3N-0002vb-50
	for submit <at> debbugs.gnu.org; Wed, 15 Apr 2020 14:46:29 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:40425)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1jOn3J-0002vN-5d
 for 40543 <at> debbugs.gnu.org; Wed, 15 Apr 2020 14:46:28 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id 0E54D5C0184;
 Wed, 15 Apr 2020 14:46:20 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Wed, 15 Apr 2020 14:46:20 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm2; bh=X1rft0NLtQX7M2ytM7qUJL8jNW
 woyHccEQlnayTKg5w=; b=UV05717Qi1Frt2Byxca/SV5Xplf/9ExC/EaLLsu+v7
 +Xk3uYyapGNlOh36/6wNtvf+jHiriv5IbqCwt7kg+G76E2MS7fgkyq8rDiRS8R3m
 SPDyjMEjvlNZ7hFGV4lBrhPPsZswfWTBITaf9xRYDGUh869Uvbib0iUflJ++zsRl
 IWDPi/aDhmuUpwsegev5cSd+3wDeXRxdjlNXJdVEMUqW9yXvV3ixnWYM4m5gqnp9
 tXFogtg4WRVfhKp2hEFQQc0oaC2N6/p2bvh2aOPu3UEbXv6Xqq//7I9m/BQtn6/f
 SHHwE41/0AA5YXL+OlrGDRORpw4oXjFmzs3vGI86J4jA==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=X1rft0
 NLtQX7M2ytM7qUJL8jNWwoyHccEQlnayTKg5w=; b=kEnDJiBeZxcUD6qts6HL+8
 of6Jh469lA4MNj6MVDn/S0HPxwxPo2cbO9LE5Awzl81EAypL+UBkkG8sI8pbH6VB
 2jDkBRPX5f6HyFJGycPtCjQwLsABlHjY54X10Ae+U9HNgARI+b87QRbbCa9SVEUY
 oEnZLWGyaLXKj36f484A3nPpaG2xDwN+px1XybeEF4S+npVqVYcuK1QS5TejBDrU
 kJShwupdnLQnYh8ioJxUmJThY9/I09pCMwPBWR5MtIGHsGEkGPexiUzBEP/72c6k
 kvvNbwGOSR/4epsZasI0dy6XZ4uLDdnXRmShCDFV0zSi/4MtPwhExOzRKF0JtnJQ
 ==
X-ME-Sender: <xms:e1aXXlXhjihip8VFbynx10sT0M5NpI_rWvA3tYhJsyR6_BuX9-YgMA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduhedrfeefgdduudelucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefhvffujghffgffkfggtgesghdtre
 ertdertdenucfhrhhomhepofgrrhhiuhhsuceurghkkhgvuceomhgsrghkkhgvsehfrghs
 thhmrghilhdrtghomheqnecukfhppeekgedrvddtvddrieekrdejheenucevlhhushhtvg
 hrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpehmsggrkhhkvgesfhgrshht
 mhgrihhlrdgtohhm
X-ME-Proxy: <xmx:e1aXXi8nwm-39ZtFKJEUMWbG5yZ38jUcF--_pMtTdhDsk3BvY6R6Zg>
 <xmx:e1aXXotgNb9Yi6vHWWp7RgehRar5ZDf_6t0z4e7KbB03AqyPXBsHYA>
 <xmx:e1aXXi1mW3xc-MAAu8ffxmUwUZpWuuXMBZb-QwURjQUMXMFweV399A>
 <xmx:fFaXXm-8bTa9k992O5hX-znMeaYSiGPFelkva13pvbm9Ln1fFFhyFA>
Received: from localhost (ti0006q161-2604.bb.online.no [84.202.68.75])
 by mail.messagingengine.com (Postfix) with ESMTPA id 8AC4C3280067;
 Wed, 15 Apr 2020 14:46:19 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
To: Christopher Baines <mail@HIDDEN>, 40543 <at> debbugs.gnu.org
Subject: Re: [bug#40543] [PATCH v2 5/5] gnu: virt-manager: Work towards
 enabling some tests.
In-Reply-To: <20200415174952.9368-5-mail@HIDDEN>
References: <87wo6n726x.fsf@HIDDEN>
 <20200415174952.9368-1-mail@HIDDEN>
 <20200415174952.9368-5-mail@HIDDEN>
User-Agent: Notmuch/0.29.3 (https://notmuchmail.org) Emacs/26.3
 (x86_64-pc-linux-gnu)
Date: Wed, 15 Apr 2020 20:46:17 +0200
Message-ID: <873694io3q.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40543
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Christopher Baines <mail@HIDDEN> writes:

> * gnu/packages/virtualization.scm (virt-manager)[arguments]: Set #:test-target
> to "test_ui", replace the 'check phase.
> [native-inputs]: Add some inputs required for running tests.
> ---
>  gnu/packages/virtualization.scm | 25 +++++++++++++++++++++----
>  1 file changed, 21 insertions(+), 4 deletions(-)
>
> diff --git a/gnu/packages/virtualization.scm b/gnu/packages/virtualization.scm
> index be17ec15f0..c8840f345a 100644
> --- a/gnu/packages/virtualization.scm
> +++ b/gnu/packages/virtualization.scm
> @@ -602,9 +602,10 @@ virtualization library.")
>      (build-system python-build-system)
>      (arguments
>       `(#:use-setuptools? #f          ; uses custom distutils 'install' command
> -       ;; Some of the tests seem to require network access to install virtual
> -       ;; machines.
> -       #:tests? #f
> +       #:test-target "test_ui"
> +       #:tests? #f                      ; TODO The tests currently fail
> +                                        ; RuntimeError: Loop condition wasn't
> +                                        ; met
>         #:imported-modules ((guix build glib-or-gtk-build-system)
>                             ,@%python-build-system-modules)
>         #:modules ((ice-9 match)
> @@ -651,6 +652,16 @@ virtualization library.")
>                                 ,(filter identity paths))))
>                           bin-files))
>               #t))
> +         (replace 'check
> +           (lambda* (#:key tests? #:allow-other-keys)
> +             (when tests?
> +               (setenv "HOME" "/tmp")
> +               (system "Xvfb :1 &")
> +               (setenv "DISPLAY" ":1")
> +               ;; Dogtail requires that Assistive Technology support be enabled
> +               (setenv "GTK_MODULES" "gail:atk-bridge")
> +               (invoke "dbus-run-session" "--" "python" "setup.py" "test_ui"))
> +             #t))
>           (add-after 'install 'glib-or-gtk-compile-schemas
>             (assoc-ref glib-or-gtk:%standard-phases 'glib-or-gtk-compile-schemas))
>           (add-after 'install 'glib-or-gtk-wrap
> @@ -679,7 +690,13 @@ virtualization library.")
>         ("gobject-introspection" ,gobject-introspection)
>         ("gtk+" ,gtk+ "bin")             ; gtk-update-icon-cache
>         ("perl" ,perl)                   ; pod2man
> -       ("intltool" ,intltool)))
> +       ("intltool" ,intltool)
> +       ;; The following are required for running the tests
> +       ("python-dogtail" ,python-dogtail)
> +       ("xvfb" ,xorg-server)
> +       ("dbus" ,dbus)
> +       ("at-spi2-core" ,at-spi2-core)
> +       ("gsettings-desktop-schemas" ,gsettings-desktop-schemas)))

Perhaps we should comment these inputs for now so that they won't
needlessly rebuild this package?

Also, this should use 'xorg-server-for-tests'.

Otherwise LGTM.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl6XVnkACgkQoqBt8qM6
VPqDEgf/Q4GXtVpl7Hw7nZWO/lg0uB4LujCV7Gbhz68fhpW/l2XgJRy+OE/lzHSl
HuyUUHQAArZubeW7jCFdqMqJsrpqokE/dXjgpMYeQ9I2Fq4StYfp/4SC7zijO8Ws
H1g/2OK2R7s6vEnsh2VWwZ/XEw7gZ4o9nlxRyFCqUR/3RkPt5LMT7xLJhyFF5atY
TIXgmy775dVkqJpcIFRR5I2Acx9Alq6gLNaLg7n2m1+UabizqpOd69dF6rdG8UD2
Olegga2Y1P3ONpjr4WUJqJcB3wOXVd8k9ifZNQNi7DjOMtXTYBzh0XJqDOJU96uf
Dw/av7vEYHzlyg20mm+WRcLQZ0+a2g==
=zm6A
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#40543; Package guix-patches. Full text available.

Message received at 40543 <at> debbugs.gnu.org:


Received: (at 40543) by debbugs.gnu.org; 15 Apr 2020 18:37:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 15 14:37:52 2020
Received: from localhost ([127.0.0.1]:37142 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jOmv2-0002cr-A0
	for submit <at> debbugs.gnu.org; Wed, 15 Apr 2020 14:37:52 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:33447)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1jOmv0-0002cT-Ag
 for 40543 <at> debbugs.gnu.org; Wed, 15 Apr 2020 14:37:51 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id 318625C0085;
 Wed, 15 Apr 2020 14:37:45 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute4.internal (MEProxy); Wed, 15 Apr 2020 14:37:45 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm2; bh=rQj4CnX6By6jzthD/O4H8eJNpZ
 L25vQwE5AumivNa8o=; b=vBXdZ3qpczmFTplraR1nSNBWOkHylDW98srF9/ypX/
 7EqS1TCf+3Vaxv/uGlobeF3fshM6R8jtYBNouEoa+GG1gZ97rv/MbTWu/h+7JtPE
 0o6XIfQm1wTZ0P5FttmQ02yQdyZ3xtvtj6b7KbkFkKzlob7MXrRWma8IqXukptjZ
 +OMIP2tSokdARnDo37SNpc/fwCxSYrAYbVpIpzS9Y8WHC8/RhWloFDy6PcZGZcs2
 CnMmpYzGTcdb9hDQNGq0Kz3uED+RhiaBkb2nkQvCawo2hQBG4ANWzjrCUYXvXAgN
 fNjy2Tzus+YdsL7gaGYB+ZyGMhrQNYkrwuwoRHVf2SeA==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=rQj4Cn
 X6By6jzthD/O4H8eJNpZL25vQwE5AumivNa8o=; b=Y+NMhvz/bTmTqyoZwcOwr7
 TK3mv4NO73i80mVr+It9Rq7tyzzT0DqJo0jaMBKRYmuZqlx9MRKy72FLTyfRdkH7
 o0Egw24DPAKkDbSbSFrr9GxcNYnJkScuE9sv4DPEL0ZNfcffB8UuNBUrkZ0pkiqW
 m76sZ/J1qr/QMroh/HeOhcaAqy1M3mVXoZHEWSToSjO/qYQ+bN5mOa+Ej3zKY2Vx
 DRiOEqcD3ZknfbNuzrvhIRqA9eRt8ziZ06/Wmv+qAxI0gY43T4f0r18usVVf/LpX
 U3V0F/UXPcC305iA8JlPb7M1vTNlwgDDvRtea93LNOp+tj5fR7BCXb6XLWfTCdCw
 ==
X-ME-Sender: <xms:eFSXXizEH80nmNlnK1ZzYAqSJZ4VfPdM48QOOhxD1f_vRUwoET_ibQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduhedrfeefgdduudejucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefhvffujghffgffkfggtgesghdtre
 ertderjeenucfhrhhomhepofgrrhhiuhhsuceurghkkhgvuceomhgsrghkkhgvsehfrghs
 thhmrghilhdrtghomheqnecukfhppeekgedrvddtvddrieekrdejheenucevlhhushhtvg
 hrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpehmsggrkhhkvgesfhgrshht
 mhgrihhlrdgtohhm
X-ME-Proxy: <xmx:eFSXXhYRerQDdAHBhoqFGeNXhAX1lm7iqYcqvQrR7USAJxhokmN3HQ>
 <xmx:eFSXXhyc23u06D7XfQXrNV-W0ub8DYQ0eKQ0nl1zIcp1kTazsm0kmQ>
 <xmx:eFSXXtEetUvuK7pmWJQEwcpOnxayWvzOpB505fLVnAugRHGEiHG8-w>
 <xmx:eVSXXljvQNmOIa_QLDC9QUsucVSEWKbZS1SWXnN0Q9mDwhG5omsUEg>
Received: from localhost (ti0006q161-2604.bb.online.no [84.202.68.75])
 by mail.messagingengine.com (Postfix) with ESMTPA id 59F473060061;
 Wed, 15 Apr 2020 14:37:44 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
To: Christopher Baines <mail@HIDDEN>, 40543 <at> debbugs.gnu.org
Subject: Re: [bug#40543] [PATCH v2 2/5] gnu: python-pyatspi: Propagate
 python-pygobject.
In-Reply-To: <20200415174952.9368-2-mail@HIDDEN>
References: <87wo6n726x.fsf@HIDDEN>
 <20200415174952.9368-1-mail@HIDDEN>
 <20200415174952.9368-2-mail@HIDDEN>
User-Agent: Notmuch/0.29.3 (https://notmuchmail.org) Emacs/26.3
 (x86_64-pc-linux-gnu)
Date: Wed, 15 Apr 2020 20:37:42 +0200
Message-ID: <875ze0ioi1.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40543
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Christopher Baines <mail@HIDDEN> writes:

> As python-pygobject is required at runtime.
>
> * gnu/packages/gnome.scm (python-pygobject)[inputs]: Move python-pygobjec=
t to=E2=80=A6
                                   ^^^
Typo: I think this should be 'python-pyatspi'.

> [propagated-inputs]: =E2=80=A6here.
> (python2-pygobject)[inputs]: Move python2-pygobject to=E2=80=A6
            ^^^ likewise
> [propagated-inputs]: =E2=80=A6here.
> ---
>  gnu/packages/gnome.scm | 10 ++++++----
>  1 file changed, 6 insertions(+), 4 deletions(-)

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl6XVHcACgkQoqBt8qM6
VPrNFwf/UT6HNoFVsxAcFZ63NbmH7cy1saFsrYX6yn4EXnp16XYkud7x4ZQ9EERr
kyFYgRQKE7Ef1y8439Xz4XI2sK8W/wm6E4Qok/I6tXTM3NmbluRs6ai96a6YA/n/
rTdxvGCgTiteDe9/TZaA1o6Je/2oSh7BfI0tHcrzjQdh2jTFaDRPslfbFdGqarX8
7Z9hOZdLpACZZWknEFyQV0TGPWMA2X5fXFdUbUdmYYZtokToV7xBCS+FpCWBDcsA
MkK+pmCVero9H3U51NJ++DLlYRlRVaYppbiqlIPzDaHbVHrIt2elpSfIJ3ip4LTm
qd+g2RdCjBpql2CRE7DEChlecEypSA==
=tucJ
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#40543; Package guix-patches. Full text available.

Message received at 40543 <at> debbugs.gnu.org:


Received: (at 40543) by debbugs.gnu.org; 15 Apr 2020 17:58:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 15 13:58:37 2020
Received: from localhost ([127.0.0.1]:37114 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jOmJ2-0001aG-SK
	for submit <at> debbugs.gnu.org; Wed, 15 Apr 2020 13:58:37 -0400
Received: from mira.cbaines.net ([212.71.252.8]:55262)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jOmJ0-0001a8-S7
 for 40543 <at> debbugs.gnu.org; Wed, 15 Apr 2020 13:58:35 -0400
Received: from localhost (unknown [46.237.160.17])
 by mira.cbaines.net (Postfix) with ESMTPSA id 57F4527BBE1;
 Wed, 15 Apr 2020 18:58:34 +0100 (BST)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id b1f8e8dd;
 Wed, 15 Apr 2020 17:58:32 +0000 (UTC)
References: <87wo6n726x.fsf@HIDDEN>
 <20200410162157.21065-1-mail@HIDDEN> <871rovjnso.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.3
From: Christopher Baines <mail@HIDDEN>
To: Marius Bakke <mbakke@HIDDEN>
Subject: Re: [bug#40543] [PATCH 1/4] gnu: Add python2-pyatspi.
In-reply-to: <871rovjnso.fsf@HIDDEN>
Date: Wed, 15 Apr 2020 18:58:31 +0100
Message-ID: <87zhbc637c.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40543
Cc: 40543 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


Marius Bakke <mbakke@HIDDEN> writes:

> Christopher Baines <mail@HIDDEN> writes:
>
>> This will enable updating python2-dogtail to 0.9.11.
>>
>> * gnu/packages/gnome.scm (python2-pyatspi): New variable.
>> ---
>>  gnu/packages/gnome.scm | 8 ++++++++
>>  1 file changed, 8 insertions(+)
>>
>> diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
>> index 088de7dd4c..b28fe6594b 100644
>> --- a/gnu/packages/gnome.scm
>> +++ b/gnu/packages/gnome.scm
>> @@ -8773,6 +8773,14 @@ accessibility infrastructure.")
>>      (license license:lgpl2.0)
>>      (properties '((upstream-name . "pyatspi")))))
>>
>> +(define-public python2-pyatspi
>> +  (package
>> +    (inherit python-pyatspi)
>> +    (name "python2-pyatspi")
>> +    (inputs
>> +     `(("python" ,python-2)
>> +       ("python-pygobject" ,python2-pygobject)))))
>
> Should the latter not be propagated?

Yeah, I've added another commit which makes this propagated.

> I think the #:python argument of python-build-system will still refer
> to python3 in this case.

It would, however python-pyatspi is using the gnu-build-system. I think
this is why I ended up doing it this way.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKTBAEBCgB9FiEEPonu50WOcg2XVOCyXiijOwuE9XcFAl6XS0dfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcACgkQXiijOwuE
9XfG6Q//VDCQdfYB2hN5Jj5sFfKMQRbMFNmdsfWBiHnTd4aEIi/ebu7bRpZtPt8q
rAQOqFD8wPbcd1mGzxosUJcfVRBi3WhhRO42QBxRvzUkJY9ae7lVJThxIkq6+gZg
zdRfnQiplC1ZhjXm2AGg4iJVaT1pnN3FEmZtYFoJ04DTmxCq6wIcSfZG1JImV+Zm
me4tnfReQiNy2SQMgOiUNTkFxeIl7Sg66U7Z51nFchm5iDZ0DGsLg1X8qIZ4hoZ2
mx/7R3BJe9RkWlh19EUcofZDidz8/WOPakUEzMgqviYvVwhjeObG8gsm8k11JkdY
jSma24N1YvPAo5Akm+cqFhw1Up3H+gSYz+AHhaJ5MKoDDlHKqVnKzkEwaKCbGp71
Qzd2U5zZJnDpVBdf3BDkvwNeyTI8PaBZU/VRC8hXMIuVCdqn/89bY9sLpAG6d8fS
8+brsXSFKEppYQ9z3pBpnOp4l4GvJlWg7tuIi9igY2r3pfodwv9FRe9rZyGc3CUX
sVFQUg06J8XZT7tdwcuqVYLPi/dk7OXfQeFuuivXvAMaZQy1kIPVqcP0sG4/ZyUP
pOyi64WIu11B2lOIqWyWkmcYI15N3rMbuldFwJKbyqt0GEaSOrJNBsCa+JwCkWK9
5utQ6kWwxyDEVpDZXNx8j86KTHu8PHuGV4A9AriH15DhVvsNxzA=
=C45e
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#40543; Package guix-patches. Full text available.

Message received at 40543 <at> debbugs.gnu.org:


Received: (at 40543) by debbugs.gnu.org; 15 Apr 2020 17:57:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 15 13:57:38 2020
Received: from localhost ([127.0.0.1]:37110 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jOmI6-0001YR-Cb
	for submit <at> debbugs.gnu.org; Wed, 15 Apr 2020 13:57:38 -0400
Received: from mira.cbaines.net ([212.71.252.8]:55258)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jOmI5-0001YH-36
 for 40543 <at> debbugs.gnu.org; Wed, 15 Apr 2020 13:57:37 -0400
Received: from localhost (unknown [46.237.160.17])
 by mira.cbaines.net (Postfix) with ESMTPSA id B872F27BBE1;
 Wed, 15 Apr 2020 18:57:35 +0100 (BST)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id 600d4001;
 Wed, 15 Apr 2020 17:57:33 +0000 (UTC)
References: <87wo6n726x.fsf@HIDDEN>
 <20200410162157.21065-1-mail@HIDDEN>
 <20200410162157.21065-4-mail@HIDDEN> <87y2r3i8m5.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.3
From: Christopher Baines <mail@HIDDEN>
To: Marius Bakke <mbakke@HIDDEN>
Subject: Re: [bug#40543] [PATCH 4/4] gnu: virt-manager: Work towards enabling
 some tests.
In-reply-to: <87y2r3i8m5.fsf@HIDDEN>
Date: Wed, 15 Apr 2020 18:57:31 +0100
Message-ID: <871roo7htg.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40543
Cc: 40543 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


Marius Bakke <mbakke@HIDDEN> writes:

> Christopher Baines <mail@HIDDEN> writes:
>
>> * gnu/packages/virtualization.scm (virt-manager)[arguments]: Set #:test-target
>> to "test_ui", replace the 'check phase.
>> [native-inputs]: Add some inputs required for running tests.
>
> [...]
>
>> @@ -673,6 +684,11 @@ virtualization library.")
>>         ("gobject-introspection" ,gobject-introspection)
>>         ("gtk+" ,gtk+ "bin")             ; gtk-update-icon-cache
>>         ("perl" ,perl)                   ; pod2man
>> +       ("python-dogtail" ,python-dogtail)
>> +       ("xvfb" ,xorg-server)
>> +       ("dbus" ,dbus)
>> +       ("at-spi2-core" ,at-spi2-core)
>> +       ("gsettings-desktop-schemas" ,gsettings-desktop-schemas)
>
> Please leave a comment along the lines of
>
> ;; The following are required for running the tests.
>
> ...to leave a clue for the next packager who wonders whether these
> inputs are misplaced.
>
> Apart from these comments, the series LGTM.

Sure, I've sent some new patches now with this change.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKTBAEBCgB9FiEEPonu50WOcg2XVOCyXiijOwuE9XcFAl6XSwtfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcACgkQXiijOwuE
9XdnbBAAqIOjbKfnGZrDKmy9+xsJdaHslMztNJUe4yynCcclCyoRQ/8WgHjATXSz
blgCaOIC0elxS+DwkqufR+OtlklEI9FFpY9EKh7NneSLDz6vz/wDuLDJ2eI/VG/+
LdUE6mUsVrlJZCGWVGwxxdtWdkV9dhzr+ClFufwD3hsotbwRobZHMwYAMHjn1k35
RmdnvdLlOBwPwdpjHv+I4scDUqVHPCA1PKzYs1Pk7n8qBg6nY5IXEthYoayy1zLt
Wen8IUtPEHI+WKldeplTd1o+JABYIeR/Xxc75aRftZBlGVrbqYssiaT+25Z8ZBfp
3/2liwqiaxnTk8IRRetmLKymrFTi0a/x6HtIO53zuE0h0PNhtuuN4aIAsIdmzQFz
USgcNEB8gdaGRnoS3wVOtldxrgZ/cNeJ/ONTso7s7uMzLIrestp4ykwcfA33JtlU
Sufj/YE4oG7swyQmC79V3WeYrGcrK/7IqOvIuUG+wmP0EiIis6V2TfT3bkflk4dv
dZPskYK4Uahb6IrCWnswqD+NpcjdGAnIme1thNiZWU69jD3NwueASluYBw/FiBIt
sZs+Y/Bu8qxpqRi5+4i2phdWT+NVztCiZ8eRm58ZYMBp1q09op+rCTmMZiftXXFW
UDPLnnEK8vqymc50ltR7W8bMksMQNtmXAXEHJiz6FlBeTJ2Sdxs=
=rQQ2
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#40543; Package guix-patches. Full text available.

Message received at 40543 <at> debbugs.gnu.org:


Received: (at 40543) by debbugs.gnu.org; 15 Apr 2020 17:50:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 15 13:50:03 2020
Received: from localhost ([127.0.0.1]:37097 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jOmAl-0001Lv-4r
	for submit <at> debbugs.gnu.org; Wed, 15 Apr 2020 13:50:03 -0400
Received: from mira.cbaines.net ([212.71.252.8]:55172)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jOmAe-0001Kb-DJ
 for 40543 <at> debbugs.gnu.org; Wed, 15 Apr 2020 13:49:59 -0400
Received: from localhost (unknown [46.237.160.17])
 by mira.cbaines.net (Postfix) with ESMTPSA id 6EAB827BBE1
 for <40543 <at> debbugs.gnu.org>; Wed, 15 Apr 2020 18:49:55 +0100 (BST)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id 55fe1921
 for <40543 <at> debbugs.gnu.org>; Wed, 15 Apr 2020 17:49:52 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: 40543 <at> debbugs.gnu.org
Subject: [PATCH v2 1/5] gnu: Add python2-pyatspi.
Date: Wed, 15 Apr 2020 18:49:48 +0100
Message-Id: <20200415174952.9368-1-mail@HIDDEN>
X-Mailer: git-send-email 2.26.0
In-Reply-To: <87wo6n726x.fsf@HIDDEN>
References: <87wo6n726x.fsf@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40543
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This will enable updating python2-dogtail to 0.9.11.

* gnu/packages/gnome.scm (python2-pyatspi): New variable.
---
 gnu/packages/gnome.scm | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 33aae4545e..4710bd1349 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -8774,6 +8774,14 @@ accessibility infrastructure.")
     (license license:lgpl2.0)
     (properties '((upstream-name . "pyatspi")))))
 
+(define-public python2-pyatspi
+  (package
+    (inherit python-pyatspi)
+    (name "python2-pyatspi")
+    (inputs
+     `(("python" ,python-2)
+       ("python-pygobject" ,python2-pygobject)))))
+
 (define-public orca
   (package
     (name "orca")
-- 
2.26.0





Information forwarded to guix-patches@HIDDEN:
bug#40543; Package guix-patches. Full text available.

Message received at 40543 <at> debbugs.gnu.org:


Received: (at 40543) by debbugs.gnu.org; 15 Apr 2020 17:50:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 15 13:50:03 2020
Received: from localhost ([127.0.0.1]:37095 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jOmAk-0001Ln-JC
	for submit <at> debbugs.gnu.org; Wed, 15 Apr 2020 13:50:03 -0400
Received: from mira.cbaines.net ([212.71.252.8]:55178)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jOmAe-0001Ke-E3
 for 40543 <at> debbugs.gnu.org; Wed, 15 Apr 2020 13:49:59 -0400
Received: from localhost (unknown [46.237.160.17])
 by mira.cbaines.net (Postfix) with ESMTPSA id C6ED127BBEE
 for <40543 <at> debbugs.gnu.org>; Wed, 15 Apr 2020 18:49:55 +0100 (BST)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id 8506ba33
 for <40543 <at> debbugs.gnu.org>; Wed, 15 Apr 2020 17:49:52 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: 40543 <at> debbugs.gnu.org
Subject: [PATCH v2 5/5] gnu: virt-manager: Work towards enabling some tests.
Date: Wed, 15 Apr 2020 18:49:52 +0100
Message-Id: <20200415174952.9368-5-mail@HIDDEN>
X-Mailer: git-send-email 2.26.0
In-Reply-To: <20200415174952.9368-1-mail@HIDDEN>
References: <87wo6n726x.fsf@HIDDEN>
 <20200415174952.9368-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40543
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/virtualization.scm (virt-manager)[arguments]: Set #:test-target
to "test_ui", replace the 'check phase.
[native-inputs]: Add some inputs required for running tests.
---
 gnu/packages/virtualization.scm | 25 +++++++++++++++++++++----
 1 file changed, 21 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/virtualization.scm b/gnu/packages/virtualization.scm
index be17ec15f0..c8840f345a 100644
--- a/gnu/packages/virtualization.scm
+++ b/gnu/packages/virtualization.scm
@@ -602,9 +602,10 @@ virtualization library.")
     (build-system python-build-system)
     (arguments
      `(#:use-setuptools? #f          ; uses custom distutils 'install' command
-       ;; Some of the tests seem to require network access to install virtual
-       ;; machines.
-       #:tests? #f
+       #:test-target "test_ui"
+       #:tests? #f                      ; TODO The tests currently fail
+                                        ; RuntimeError: Loop condition wasn't
+                                        ; met
        #:imported-modules ((guix build glib-or-gtk-build-system)
                            ,@%python-build-system-modules)
        #:modules ((ice-9 match)
@@ -651,6 +652,16 @@ virtualization library.")
                                ,(filter identity paths))))
                          bin-files))
              #t))
+         (replace 'check
+           (lambda* (#:key tests? #:allow-other-keys)
+             (when tests?
+               (setenv "HOME" "/tmp")
+               (system "Xvfb :1 &")
+               (setenv "DISPLAY" ":1")
+               ;; Dogtail requires that Assistive Technology support be enabled
+               (setenv "GTK_MODULES" "gail:atk-bridge")
+               (invoke "dbus-run-session" "--" "python" "setup.py" "test_ui"))
+             #t))
          (add-after 'install 'glib-or-gtk-compile-schemas
            (assoc-ref glib-or-gtk:%standard-phases 'glib-or-gtk-compile-schemas))
          (add-after 'install 'glib-or-gtk-wrap
@@ -679,7 +690,13 @@ virtualization library.")
        ("gobject-introspection" ,gobject-introspection)
        ("gtk+" ,gtk+ "bin")             ; gtk-update-icon-cache
        ("perl" ,perl)                   ; pod2man
-       ("intltool" ,intltool)))
+       ("intltool" ,intltool)
+       ;; The following are required for running the tests
+       ("python-dogtail" ,python-dogtail)
+       ("xvfb" ,xorg-server)
+       ("dbus" ,dbus)
+       ("at-spi2-core" ,at-spi2-core)
+       ("gsettings-desktop-schemas" ,gsettings-desktop-schemas)))
     (home-page "https://virt-manager.org/")
     (synopsis "Manage virtual machines")
     (description
-- 
2.26.0





Information forwarded to guix-patches@HIDDEN:
bug#40543; Package guix-patches. Full text available.

Message received at 40543 <at> debbugs.gnu.org:


Received: (at 40543) by debbugs.gnu.org; 15 Apr 2020 17:50:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 15 13:50:02 2020
Received: from localhost ([127.0.0.1]:37092 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jOmAk-0001LZ-0L
	for submit <at> debbugs.gnu.org; Wed, 15 Apr 2020 13:50:02 -0400
Received: from mira.cbaines.net ([212.71.252.8]:55174)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jOmAe-0001Kc-GY
 for 40543 <at> debbugs.gnu.org; Wed, 15 Apr 2020 13:49:58 -0400
Received: from localhost (unknown [46.237.160.17])
 by mira.cbaines.net (Postfix) with ESMTPSA id B970E27BBEB
 for <40543 <at> debbugs.gnu.org>; Wed, 15 Apr 2020 18:49:55 +0100 (BST)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id 62435e22
 for <40543 <at> debbugs.gnu.org>; Wed, 15 Apr 2020 17:49:52 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: 40543 <at> debbugs.gnu.org
Subject: [PATCH v2 4/5] gnu: python2-dogtail: Switch to Python 3,
 and add Python 2 variant.
Date: Wed, 15 Apr 2020 18:49:51 +0100
Message-Id: <20200415174952.9368-4-mail@HIDDEN>
X-Mailer: git-send-email 2.26.0
In-Reply-To: <20200415174952.9368-1-mail@HIDDEN>
References: <87wo6n726x.fsf@HIDDEN>
 <20200415174952.9368-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40543
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python2-dogtail): Rename to python-dogtail.
[name]: Change python2-dogtail to python-dogtail.
[arguments]: Remove #:python.
[propagated-inputs,native-inputs]: Switch Python 2 packages to Python 3
variants.
(python2-dogtail): New variable.
---
 gnu/packages/python-xyz.scm | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 3dccedd6df..768f030051 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -1736,11 +1736,9 @@ Python 3.3+.")
                (delete-file "test/test_Script.py")
                #t))))))))
 
-(define-public python2-dogtail
-  ;; Python 2 only, as it leads to "TabError: inconsistent use of tabs and
-  ;; spaces in indentation" with Python 3.
+(define-public python-dogtail
   (package
-    (name "python2-dogtail")
+    (name "python-dogtail")
     (version "0.9.11")
     (source (origin
              (method url-fetch)
@@ -1753,8 +1751,7 @@ Python 3.3+.")
                "0sr38z7b2n12bvfd4xw4b5dnnhkn5zl3h0ymmnnzavcihfqia6l0"))))
     (build-system python-build-system)
     (arguments
-     `(#:python ,python-2
-       #:tests? #f                      ; TODO Launching dbus for the tests
+     `(#:tests? #f                      ; TODO Launching dbus for the tests
                                         ; fails
        #:phases
        (modify-phases %standard-phases
@@ -1766,11 +1763,11 @@ Python 3.3+.")
                (invoke "dbus-run-session" "--" "nosetests" "-v" "tests/"))
              #t)))))
     (propagated-inputs
-     `(("python-pygobject" ,python2-pygobject)
-       ("python-pycairo" ,python2-pycairo)
-       ("python-pyatspi" ,python2-pyatspi)))
+     `(("python-pygobject" ,python-pygobject)
+       ("python-pycairo" ,python-pycairo)
+       ("python-pyatspi" ,python-pyatspi)))
     (native-inputs
-     `(("python-nose" ,python2-nose)
+     `(("python-nose" ,python-nose)
        ("gtk+" ,gtk+)
        ("xvfb" ,xorg-server)
        ("dbus" ,dbus)
@@ -1785,6 +1782,9 @@ applications. dogtail scripts are written in Python and executed like any
 other Python program.")
     (license license:gpl2+)))
 
+(define-public python2-dogtail
+  (package-with-python2 python-dogtail))
+
 (define-public python-empy
   (package
     (name "python-empy")
-- 
2.26.0





Information forwarded to guix-patches@HIDDEN:
bug#40543; Package guix-patches. Full text available.

Message received at 40543 <at> debbugs.gnu.org:


Received: (at 40543) by debbugs.gnu.org; 15 Apr 2020 17:50:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 15 13:50:02 2020
Received: from localhost ([127.0.0.1]:37090 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jOmAj-0001LU-J4
	for submit <at> debbugs.gnu.org; Wed, 15 Apr 2020 13:50:01 -0400
Received: from mira.cbaines.net ([212.71.252.8]:55170)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jOmAe-0001Ka-GW
 for 40543 <at> debbugs.gnu.org; Wed, 15 Apr 2020 13:49:58 -0400
Received: from localhost (unknown [46.237.160.17])
 by mira.cbaines.net (Postfix) with ESMTPSA id 8FF7B27BBE4
 for <40543 <at> debbugs.gnu.org>; Wed, 15 Apr 2020 18:49:55 +0100 (BST)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id da346538
 for <40543 <at> debbugs.gnu.org>; Wed, 15 Apr 2020 17:49:52 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: 40543 <at> debbugs.gnu.org
Subject: [PATCH v2 2/5] gnu: python-pyatspi: Propagate python-pygobject.
Date: Wed, 15 Apr 2020 18:49:49 +0100
Message-Id: <20200415174952.9368-2-mail@HIDDEN>
X-Mailer: git-send-email 2.26.0
In-Reply-To: <20200415174952.9368-1-mail@HIDDEN>
References: <87wo6n726x.fsf@HIDDEN>
 <20200415174952.9368-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40543
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

As python-pygobject is required at runtime.

* gnu/packages/gnome.scm (python-pygobject)[inputs]: Move python-pygobject to…
[propagated-inputs]: …here.
(python2-pygobject)[inputs]: Move python2-pygobject to…
[propagated-inputs]: …here.
---
 gnu/packages/gnome.scm | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 4710bd1349..e7b36fff1d 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -8763,8 +8763,9 @@ from gi.repository import Atspi"))
     (native-inputs
      `(("pkg-config" ,pkg-config)))
     (inputs
-     `(("python" ,python)
-       ("python-pygobject" ,python-pygobject)))
+     `(("python" ,python)))
+    (propagated-inputs
+     `(("python-pygobject" ,python-pygobject)))
     (synopsis "Python client bindings for D-Bus AT-SPI")
     (home-page "https://wiki.linuxfoundation.org/accessibility\
 /atk/at-spi/at-spi_on_d-bus")
@@ -8779,8 +8780,9 @@ accessibility infrastructure.")
     (inherit python-pyatspi)
     (name "python2-pyatspi")
     (inputs
-     `(("python" ,python-2)
-       ("python-pygobject" ,python2-pygobject)))))
+     `(("python" ,python-2)))
+    (propagated-inputs
+     `(("python-pygobject" ,python2-pygobject)))))
 
 (define-public orca
   (package
-- 
2.26.0





Information forwarded to guix-patches@HIDDEN:
bug#40543; Package guix-patches. Full text available.

Message received at 40543 <at> debbugs.gnu.org:


Received: (at 40543) by debbugs.gnu.org; 15 Apr 2020 17:49:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 15 13:49:58 2020
Received: from localhost ([127.0.0.1]:37088 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jOmAg-0001Kp-13
	for submit <at> debbugs.gnu.org; Wed, 15 Apr 2020 13:49:58 -0400
Received: from mira.cbaines.net ([212.71.252.8]:55176)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jOmAe-0001Kd-D3
 for 40543 <at> debbugs.gnu.org; Wed, 15 Apr 2020 13:49:57 -0400
Received: from localhost (unknown [46.237.160.17])
 by mira.cbaines.net (Postfix) with ESMTPSA id A391827BBEA
 for <40543 <at> debbugs.gnu.org>; Wed, 15 Apr 2020 18:49:55 +0100 (BST)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id 0b12dbd1
 for <40543 <at> debbugs.gnu.org>; Wed, 15 Apr 2020 17:49:52 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: 40543 <at> debbugs.gnu.org
Subject: [PATCH v2 3/5] gnu: python2-dogtail: Update to 0.9.11.
Date: Wed, 15 Apr 2020 18:49:50 +0100
Message-Id: <20200415174952.9368-3-mail@HIDDEN>
X-Mailer: git-send-email 2.26.0
In-Reply-To: <20200415174952.9368-1-mail@HIDDEN>
References: <87wo6n726x.fsf@HIDDEN>
 <20200415174952.9368-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40543
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

There are newer releases on a gitlab.com repository compared to PyPI. Make an
attempt at getting the tests to work, they don't yet I believe because DBus
isn't working properly. This update is a step towards getting a Python 3
variant of the package, which can be used to test virt-manager.

* gnu/packages/python-xyz.scm (python2-dogtail): Update to 0.9.11.
[source]: Switch from PyPI to gitlab.com, as gitlab.com contains newer
releases.
[arguments]: Replace the check phase, and update comment about disabling the
tests.
[propagated-inputs,native-inputs]: Add relevant packages.
[home-page]: Change to https://gitlab.com/dogtail/dogtail/
---
 gnu/packages/python-xyz.scm | 38 ++++++++++++++++++++++++++++++-------
 1 file changed, 31 insertions(+), 7 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 20b8784c05..3dccedd6df 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -1741,18 +1741,42 @@ Python 3.3+.")
   ;; spaces in indentation" with Python 3.
   (package
     (name "python2-dogtail")
-    (version "0.9.9")
+    (version "0.9.11")
     (source (origin
              (method url-fetch)
-             (uri (pypi-uri "dogtail" version))
+             (uri
+              (string-append
+               "https://gitlab.com/dogtail/dogtail/-/raw/released/"
+               "dogtail-" version ".tar.gz"))
              (sha256
               (base32
-               "0p5wfssvzr9w0bvhllzbbd8fnp4cca2qxcpcsc33dchrmh5n552x"))))
+               "0sr38z7b2n12bvfd4xw4b5dnnhkn5zl3h0ymmnnzavcihfqia6l0"))))
     (build-system python-build-system)
-    (arguments `(#:python ,python-2
-                 #:tests? #f))                    ; invalid command "test"
-    ;; Currently no offical homepage.
-    (home-page "https://pypi.org/project/dogtail/")
+    (arguments
+     `(#:python ,python-2
+       #:tests? #f                      ; TODO Launching dbus for the tests
+                                        ; fails
+       #:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda* (#:key tests? #:allow-other-keys)
+             (when tests?
+               (system "Xvfb :1 &")
+               (setenv "DISPLAY" ":1")
+               (invoke "dbus-run-session" "--" "nosetests" "-v" "tests/"))
+             #t)))))
+    (propagated-inputs
+     `(("python-pygobject" ,python2-pygobject)
+       ("python-pycairo" ,python2-pycairo)
+       ("python-pyatspi" ,python2-pyatspi)))
+    (native-inputs
+     `(("python-nose" ,python2-nose)
+       ("gtk+" ,gtk+)
+       ("xvfb" ,xorg-server)
+       ("dbus" ,dbus)
+       ("gsettings-desktop-schemas" ,gsettings-desktop-schemas)
+       ("gobject-introspection" ,gobject-introspection)))
+    (home-page "https://gitlab.com/dogtail/dogtail/")
     (synopsis "GUI test tool and automation framework written in Python")
     (description
      "Dogtail is a GUI test tool and automation framework written in Python.
-- 
2.26.0





Information forwarded to guix-patches@HIDDEN:
bug#40543; Package guix-patches. Full text available.

Message received at 40543 <at> debbugs.gnu.org:


Received: (at 40543) by debbugs.gnu.org; 10 Apr 2020 16:55:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 10 12:55:07 2020
Received: from localhost ([127.0.0.1]:55982 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jMwvr-0005dl-Kp
	for submit <at> debbugs.gnu.org; Fri, 10 Apr 2020 12:55:07 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:59215)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1jMwvq-0005dD-8C
 for 40543 <at> debbugs.gnu.org; Fri, 10 Apr 2020 12:55:06 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id ACF1B5C00BA;
 Fri, 10 Apr 2020 12:55:00 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Fri, 10 Apr 2020 12:55:00 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm2; bh=5VBQN/EN3wh34BSjb+7sGJGo0J
 LKYPZwfk4zPZA4w6M=; b=Ba8D3DXxo1oXx5rJkrpsKi4b35cPANfkjj8vF2pyPX
 SbvZAIRxi6mzOmaecsivDJC1H9P/q0tlqQsUgtx3XzVznZPhzQ6QgykQrFr4oU6A
 Brpp3uS2o7gu89/PUhOohqacLZv/rIDLjhfGTSIOLiC8vlj0ASvPj/NUEUovSYzM
 2hpfrncwNSXsmPTs2/VjECvnwaY+IINeyKQd6W1QnBkOGreskOPV/PV/C8COLI0g
 cKq5S+TlsQQFZWponEHMAWKdtweFkNXPEfC8wnNVYCG0ujt1/Ti+PayGuxoDBauu
 r3KEN6gbbwLFboef/FLQ/cfyjgZOcYV/Y1e7Maqb/k4Q==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=5VBQN/
 EN3wh34BSjb+7sGJGo0JLKYPZwfk4zPZA4w6M=; b=IEso5NLTiBgc8vkrCF+K6I
 LAlJWZdlt0mT8qXSRpV1qTFeVHo1ObJWrxlmeS7ogLTxtDtMfg38Lm4I+tgQbk5x
 /yDPMBk2d0Saq5vQ3uMONwzaNyX54Y0Cs3twWdoBXvmYbJplcI1CE8lh69Mot89a
 EvDrKWGwjcGnQ/ScgSY8Fh991I7SMe1U/84w18j0qJ4dddSMCsQGv+EU1xugMFsg
 1GxKj/Kl6tPdzZ3j7pxsbR2vFTCuzu+yJVodDMFoqzSUDsnHygOyvjL2dY0KrTbL
 5oiNURtIAf1vyWyn9eKDhs1WPpDk93C/1tX5IbeL12kUJYCaTOcbnBE2AVwvIMxQ
 ==
X-ME-Sender: <xms:5KSQXsSea6V-Yhoh7A6qBbIGusbRE4PWGsRqAtM6LqoiN03tgsVb7w>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduhedrvddvgddutdekucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefhvffujghffgffkfggtgesghdtre
 ertdertdenucfhrhhomhepofgrrhhiuhhsuceurghkkhgvuceomhgsrghkkhgvsehfrghs
 thhmrghilhdrtghomheqnecukfhppeekgedrvddtvddrieekrdejheenucevlhhushhtvg
 hrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpehmsggrkhhkvgesfhgrshht
 mhgrihhlrdgtohhm
X-ME-Proxy: <xmx:5KSQXuZSVemn0uhV-ShXxkpUuQsPZdDNqjEZ-sVnPvQubIwkBzzBFA>
 <xmx:5KSQXh-HZ50udFw8HV_F5cIM7t9aQgNc5EIm6D_BOxF9y5B71NEkoQ>
 <xmx:5KSQXqJw685JPfroYYZtrMwEzezg2Yesf8sZ2ENaRwEhxe-mbVh6tA>
 <xmx:5KSQXl6UpHn941KaTFB-W2RTyzXMfJuvWePpc_ScqolUaAGbf4iAng>
Received: from localhost (ti0006q161-2604.bb.online.no [84.202.68.75])
 by mail.messagingengine.com (Postfix) with ESMTPA id DE3B83280059;
 Fri, 10 Apr 2020 12:54:59 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
To: Christopher Baines <mail@HIDDEN>, 40543 <at> debbugs.gnu.org
Subject: Re: [bug#40543] [PATCH 4/4] gnu: virt-manager: Work towards enabling
 some tests.
In-Reply-To: <20200410162157.21065-4-mail@HIDDEN>
References: <87wo6n726x.fsf@HIDDEN>
 <20200410162157.21065-1-mail@HIDDEN>
 <20200410162157.21065-4-mail@HIDDEN>
User-Agent: Notmuch/0.29.3 (https://notmuchmail.org) Emacs/26.3
 (x86_64-pc-linux-gnu)
Date: Fri, 10 Apr 2020 18:54:58 +0200
Message-ID: <87y2r3i8m5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40543
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Christopher Baines <mail@HIDDEN> writes:

> * gnu/packages/virtualization.scm (virt-manager)[arguments]: Set #:test-target
> to "test_ui", replace the 'check phase.
> [native-inputs]: Add some inputs required for running tests.

[...]

> @@ -673,6 +684,11 @@ virtualization library.")
>         ("gobject-introspection" ,gobject-introspection)
>         ("gtk+" ,gtk+ "bin")             ; gtk-update-icon-cache
>         ("perl" ,perl)                   ; pod2man
> +       ("python-dogtail" ,python-dogtail)
> +       ("xvfb" ,xorg-server)
> +       ("dbus" ,dbus)
> +       ("at-spi2-core" ,at-spi2-core)
> +       ("gsettings-desktop-schemas" ,gsettings-desktop-schemas)

Please leave a comment along the lines of

;; The following are required for running the tests.

...to leave a clue for the next packager who wonders whether these
inputs are misplaced.

Apart from these comments, the series LGTM.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl6QpOIACgkQoqBt8qM6
VPpW3wf/UGS+raJ/99xGNEvLw1vySQ9pMNV/ONckgAolWMHGxRtMV+qmYzDbB2lm
igjyXXMGDCOn1bKp314JLi0OaQSUT9kaR3vbmgFSaTQiC35ng2sn8q9Vo62uk2mp
8cD82ltOnsLkKHOjNIa4+O4gAIY47WIwAPb/Ua/HSpIR/rhPRjpkv8i3FrSstE4f
zS8YCrkLZmnU5dH66eyYX/62+KtK3e6CIfyycjKN235uLaEA7379DaYed3gGrrlX
hwiPcYQGC9aXNSJBCV0c5zh1NylXFJw0sREr3YDMcOXbdH8BpjWQKQqb3VhJ9JEq
6b+k+31RJ/0tyRZTwlvfET6+nq9zYA==
=W0OU
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#40543; Package guix-patches. Full text available.

Message received at 40543 <at> debbugs.gnu.org:


Received: (at 40543) by debbugs.gnu.org; 10 Apr 2020 16:41:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 10 12:41:54 2020
Received: from localhost ([127.0.0.1]:55965 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jMwj4-0005K5-0L
	for submit <at> debbugs.gnu.org; Fri, 10 Apr 2020 12:41:54 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:34465)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1jMwj0-0005Jo-QT
 for 40543 <at> debbugs.gnu.org; Fri, 10 Apr 2020 12:41:51 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id 8C62E5C014F;
 Fri, 10 Apr 2020 12:41:45 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Fri, 10 Apr 2020 12:41:45 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm2; bh=U1Aez3iKnhYIaI8h8ttKN3YO9Z
 iTY+QH/R5iHNaFC3A=; b=kza1UXS7+CrEhpgwVO3FSH17yN5qyv3JMbNLKxkUh6
 JlLgsFsgYcW4Cu0cj5kFoJCMEPUeKV9iZMZELF0Lkr8yZ+cYkQ4ftVD5N0cgcax9
 2PUuR4j1BW+cd4VXoNGQnwRFsG/m8wm+VwFlbar18nQHS8g3IcgfLIhSSw5XEI0K
 6VVvI/Qzprk8y5haldbBHzSXH+GtM8IlMAwb2tifEI5OFjwrWUtgVeMRb49mFgq0
 AIIrBO+bhh9JxVWmwTmNamPdyEIUuJQTh2N50d3gxHDOlqQqXw+K2/nVN4rOankb
 XJX4ppnLIdpWD/7s0Gi3X7qUw7c6/y0VINDzTaU7Sa8g==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=U1Aez3
 iKnhYIaI8h8ttKN3YO9ZiTY+QH/R5iHNaFC3A=; b=uQgVNkmR1XaTWN8dTZI2C9
 HsuXqHJkmmGVjN+OhmbR8IHgpltwWALvrkXDNl8yXHef8R7KV3iYYa6W3gqIq18c
 MdMu48vQWfdLSJ8eHpVM2+Cw4afuhq75JgQRpX5H3U8Q0uqliMx0lzyDDluBqxUx
 tH35lSSACOhtZe/s+SMTBV8l1mZchaZsl5h8PC0HLLnB3t7/sIXoyNMIU1gxpASJ
 jYAWjdxWm2p10jnUg9H4TmQIaUt4XiSRAPvNANVK7VLJ2pjb8X3AyP8cI4WmWdGt
 c1CK+9/w3hz9tpToNT9bRjQ1d3+usiRhij58TGgNiZHeNa3+JJYHxmB/L+3oPsKQ
 ==
X-ME-Sender: <xms:yaGQXlGbD0ayJWnbcDqjqsJTtbNlJtiU-0b79D-1MaswsQL0ktjRtA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduhedrvddvgddutdehucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefhvffujghffgffkfggtgesghdtre
 ertdertdenucfhrhhomhepofgrrhhiuhhsuceurghkkhgvuceomhgsrghkkhgvsehfrghs
 thhmrghilhdrtghomheqnecukfhppeekgedrvddtvddrieekrdejheenucevlhhushhtvg
 hrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpehmsggrkhhkvgesfhgrshht
 mhgrihhlrdgtohhm
X-ME-Proxy: <xmx:yaGQXuncAOhokGwSU231Uu7-LFA4pHFxpz6O1ObcNoZXIR4U2aXVcg>
 <xmx:yaGQXiJSTgVUcdK37eTgygvTp1uNDZ7Wpq7mzeuY7S5gxESPMcX9Ng>
 <xmx:yaGQXvaNeuIpG2HL9npAsJ4_awsGYlQNSvNwdj6mMGI11ipw8aqcTQ>
 <xmx:yaGQXkRy1Fx_tfAMS-i586LvHSEXy7o54YsWolND-NsWqjvSCCX88A>
Received: from localhost (ti0006q161-2604.bb.online.no [84.202.68.75])
 by mail.messagingengine.com (Postfix) with ESMTPA id 1089E3280064;
 Fri, 10 Apr 2020 12:41:44 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
To: Christopher Baines <mail@HIDDEN>, 40543 <at> debbugs.gnu.org
Subject: Re: [bug#40543] [PATCH 1/4] gnu: Add python2-pyatspi.
In-Reply-To: <20200410162157.21065-1-mail@HIDDEN>
References: <87wo6n726x.fsf@HIDDEN>
 <20200410162157.21065-1-mail@HIDDEN>
User-Agent: Notmuch/0.29.3 (https://notmuchmail.org) Emacs/26.3
 (x86_64-pc-linux-gnu)
Date: Fri, 10 Apr 2020 18:41:43 +0200
Message-ID: <871rovjnso.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40543
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Christopher Baines <mail@HIDDEN> writes:

> This will enable updating python2-dogtail to 0.9.11.
>
> * gnu/packages/gnome.scm (python2-pyatspi): New variable.
> ---
>  gnu/packages/gnome.scm | 8 ++++++++
>  1 file changed, 8 insertions(+)
>
> diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
> index 088de7dd4c..b28fe6594b 100644
> --- a/gnu/packages/gnome.scm
> +++ b/gnu/packages/gnome.scm
> @@ -8773,6 +8773,14 @@ accessibility infrastructure.")
>      (license license:lgpl2.0)
>      (properties '((upstream-name . "pyatspi")))))
>=20=20
> +(define-public python2-pyatspi
> +  (package
> +    (inherit python-pyatspi)
> +    (name "python2-pyatspi")
> +    (inputs
> +     `(("python" ,python-2)
> +       ("python-pygobject" ,python2-pygobject)))))

Should the latter not be propagated?  I think the #:python argument of
python-build-system will still refer to python3 in this case.

It's better to use (package-with-python2 ...), see e.g. commit
1ffd618eba4836da5e5eaf6edd394ee949512bd8 for an example.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl6QoccACgkQoqBt8qM6
VPrcdAf/byCexBGcofNixu2EV1NF67RqNmgrjubxmPaR5+JOtAGg8/rGUHWvgp/d
stKf4PBZ3ot9vTUvbc4LEDlZaSJZ8HzO4+sTPkqWXWid2jA90L2ULGuFbJmzOCoo
mWp+Wc+YCf9sBsrbmKrs4ZtZePUhiHWdUsIra0Sv7n6Sqe/fOFoJYVObmxo+2aLb
I49Q5gx4lCXeSGSfytpbw18/T4Z04xEITZjJemMQi/YMtktyLw0NEHXuLnsgSlM5
EekUEzl//f3Vydd0Fq6RXDMsuDX2rNdTbwxG92uhpVKYLL3yPbSyszlqvqYyF4Ex
1wbYVIEc7W2FJ4RE5XvLBgfAbwMWWw==
=5XDQ
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#40543; Package guix-patches. Full text available.

Message received at 40543 <at> debbugs.gnu.org:


Received: (at 40543) by debbugs.gnu.org; 10 Apr 2020 16:22:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 10 12:22:04 2020
Received: from localhost ([127.0.0.1]:55930 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jMwPs-0004nU-8H
	for submit <at> debbugs.gnu.org; Fri, 10 Apr 2020 12:22:04 -0400
Received: from mira.cbaines.net ([212.71.252.8]:47210)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jMwPo-0004m3-I1
 for 40543 <at> debbugs.gnu.org; Fri, 10 Apr 2020 12:22:02 -0400
Received: from localhost (unknown [46.237.163.111])
 by mira.cbaines.net (Postfix) with ESMTPSA id D91F327BBEB
 for <40543 <at> debbugs.gnu.org>; Fri, 10 Apr 2020 17:21:59 +0100 (BST)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id a6b3508b
 for <40543 <at> debbugs.gnu.org>; Fri, 10 Apr 2020 16:21:57 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: 40543 <at> debbugs.gnu.org
Subject: [PATCH 4/4] gnu: virt-manager: Work towards enabling some tests.
Date: Fri, 10 Apr 2020 17:21:57 +0100
Message-Id: <20200410162157.21065-4-mail@HIDDEN>
X-Mailer: git-send-email 2.26.0
In-Reply-To: <20200410162157.21065-1-mail@HIDDEN>
References: <87wo6n726x.fsf@HIDDEN>
 <20200410162157.21065-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40543
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/virtualization.scm (virt-manager)[arguments]: Set #:test-target
to "test_ui", replace the 'check phase.
[native-inputs]: Add some inputs required for running tests.
---
 gnu/packages/virtualization.scm | 22 +++++++++++++++++++---
 1 file changed, 19 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/virtualization.scm b/gnu/packages/virtualization.scm
index 5bee79cbb4..292c4d41f4 100644
--- a/gnu/packages/virtualization.scm
+++ b/gnu/packages/virtualization.scm
@@ -596,9 +596,10 @@ virtualization library.")
     (build-system python-build-system)
     (arguments
      `(#:use-setuptools? #f          ; uses custom distutils 'install' command
-       ;; Some of the tests seem to require network access to install virtual
-       ;; machines.
-       #:tests? #f
+       #:test-target "test_ui"
+       #:tests? #f                      ; TODO The tests currently fail
+                                        ; RuntimeError: Loop condition wasn't
+                                        ; met
        #:imported-modules ((guix build glib-or-gtk-build-system)
                            ,@%python-build-system-modules)
        #:modules ((ice-9 match)
@@ -645,6 +646,16 @@ virtualization library.")
                                ,(filter identity paths))))
                          bin-files))
              #t))
+         (replace 'check
+           (lambda* (#:key tests? #:allow-other-keys)
+             (when tests?
+               (setenv "HOME" "/tmp")
+               (system "Xvfb :1 &")
+               (setenv "DISPLAY" ":1")
+               ;; Dogtail requires that Assistive Technology support be enabled
+               (setenv "GTK_MODULES" "gail:atk-bridge")
+               (invoke "dbus-run-session" "--" "python" "setup.py" "test_ui"))
+             #t))
          (add-after 'install 'glib-or-gtk-compile-schemas
            (assoc-ref glib-or-gtk:%standard-phases 'glib-or-gtk-compile-schemas))
          (add-after 'install 'glib-or-gtk-wrap
@@ -673,6 +684,11 @@ virtualization library.")
        ("gobject-introspection" ,gobject-introspection)
        ("gtk+" ,gtk+ "bin")             ; gtk-update-icon-cache
        ("perl" ,perl)                   ; pod2man
+       ("python-dogtail" ,python-dogtail)
+       ("xvfb" ,xorg-server)
+       ("dbus" ,dbus)
+       ("at-spi2-core" ,at-spi2-core)
+       ("gsettings-desktop-schemas" ,gsettings-desktop-schemas)
        ("intltool" ,intltool)))
     (home-page "https://virt-manager.org/")
     (synopsis "Manage virtual machines")
-- 
2.26.0





Information forwarded to guix-patches@HIDDEN:
bug#40543; Package guix-patches. Full text available.

Message received at 40543 <at> debbugs.gnu.org:


Received: (at 40543) by debbugs.gnu.org; 10 Apr 2020 16:22:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 10 12:22:04 2020
Received: from localhost ([127.0.0.1]:55928 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jMwPr-0004nN-UH
	for submit <at> debbugs.gnu.org; Fri, 10 Apr 2020 12:22:04 -0400
Received: from mira.cbaines.net ([212.71.252.8]:47206)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jMwPo-0004m5-Hs
 for 40543 <at> debbugs.gnu.org; Fri, 10 Apr 2020 12:22:01 -0400
Received: from localhost (unknown [46.237.163.111])
 by mira.cbaines.net (Postfix) with ESMTPSA id 9B2BA27BBE1
 for <40543 <at> debbugs.gnu.org>; Fri, 10 Apr 2020 17:21:59 +0100 (BST)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id 9915d099
 for <40543 <at> debbugs.gnu.org>; Fri, 10 Apr 2020 16:21:57 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: 40543 <at> debbugs.gnu.org
Subject: [PATCH 1/4] gnu: Add python2-pyatspi.
Date: Fri, 10 Apr 2020 17:21:54 +0100
Message-Id: <20200410162157.21065-1-mail@HIDDEN>
X-Mailer: git-send-email 2.26.0
In-Reply-To: <87wo6n726x.fsf@HIDDEN>
References: <87wo6n726x.fsf@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 40543
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This will enable updating python2-dogtail to 0.9.11.

* gnu/packages/gnome.scm (python2-pyatspi): New variable.
---
 gnu/packages/gnome.scm | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 088de7dd4c..b28fe6594b 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -8773,6 +8773,14 @@ accessibility infrastructure.")
     (license license:lgpl2.0)
     (properties '((upstream-name . "pyatspi")))))
 
+(define-public python2-pyatspi
+  (package
+    (inherit python-pyatspi)
+    (name "python2-pyatspi")
+    (inputs
+     `(("python" ,python-2)
+       ("python-pygobject" ,python2-pygobject)))))
+
 (define-public orca
   (package
     (name "orca")
-- 
2.26.0





Information forwarded to guix-patches@HIDDEN:
bug#40543; Package guix-patches. Full text available.

Message received at 40543 <at> debbugs.gnu.org:


Received: (at 40543) by debbugs.gnu.org; 10 Apr 2020 16:22:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 10 12:22:03 2020
Received: from localhost ([127.0.0.1]:55924 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jMwPr-0004n7-Eh
	for submit <at> debbugs.gnu.org; Fri, 10 Apr 2020 12:22:03 -0400
Received: from mira.cbaines.net ([212.71.252.8]:47212)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jMwPo-0004m6-ET
 for 40543 <at> debbugs.gnu.org; Fri, 10 Apr 2020 12:22:01 -0400
Received: from localhost (unknown [46.237.163.111])
 by mira.cbaines.net (Postfix) with ESMTPSA id B82F827BBE4
 for <40543 <at> debbugs.gnu.org>; Fri, 10 Apr 2020 17:21:59 +0100 (BST)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id 571e6129
 for <40543 <at> debbugs.gnu.org>; Fri, 10 Apr 2020 16:21:57 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: 40543 <at> debbugs.gnu.org
Subject: [PATCH 2/4] gnu: python2-dogtail: Update to 0.9.11.
Date: Fri, 10 Apr 2020 17:21:55 +0100
Message-Id: <20200410162157.21065-2-mail@HIDDEN>
X-Mailer: git-send-email 2.26.0
In-Reply-To: <20200410162157.21065-1-mail@HIDDEN>
References: <87wo6n726x.fsf@HIDDEN>
 <20200410162157.21065-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40543
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

There are newer releases on a gitlab.com repository compared to PyPI. Make an
attempt at getting the tests to work, they don't yet I believe because DBus
isn't working properly. This update is a step towards getting a Python 3
variant of the package, which can be used to test virt-manager.

* gnu/packages/python-xyz.scm (python2-dogtail): Update to 0.9.11.
[source]: Switch from PyPI to gitlab.com, as gitlab.com contains newer
releases.
[arguments]: Replace the check phase, and update comment about disabling the
tests.
[propagated-inputs,native-inputs]: Add relevant packages.
[home-page]: Change to https://gitlab.com/dogtail/dogtail/
---
 gnu/packages/python-xyz.scm | 38 ++++++++++++++++++++++++++++++-------
 1 file changed, 31 insertions(+), 7 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 64aa7da41e..455bebf1b7 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -1740,18 +1740,42 @@ Python 3.3+.")
   ;; spaces in indentation" with Python 3.
   (package
     (name "python2-dogtail")
-    (version "0.9.9")
+    (version "0.9.11")
     (source (origin
              (method url-fetch)
-             (uri (pypi-uri "dogtail" version))
+             (uri
+              (string-append
+               "https://gitlab.com/dogtail/dogtail/-/raw/released/"
+               "dogtail-" version ".tar.gz"))
              (sha256
               (base32
-               "0p5wfssvzr9w0bvhllzbbd8fnp4cca2qxcpcsc33dchrmh5n552x"))))
+               "0sr38z7b2n12bvfd4xw4b5dnnhkn5zl3h0ymmnnzavcihfqia6l0"))))
     (build-system python-build-system)
-    (arguments `(#:python ,python-2
-                 #:tests? #f))                    ; invalid command "test"
-    ;; Currently no offical homepage.
-    (home-page "https://pypi.org/project/dogtail/")
+    (arguments
+     `(#:python ,python-2
+       #:tests? #f                      ; TODO Launching dbus for the tests
+                                        ; fails
+       #:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda* (#:key tests? #:allow-other-keys)
+             (when tests?
+               (system "Xvfb :1 &")
+               (setenv "DISPLAY" ":1")
+               (invoke "dbus-run-session" "--" "nosetests" "-v" "tests/"))
+             #t)))))
+    (propagated-inputs
+     `(("python-pygobject" ,python2-pygobject)
+       ("python-pycairo" ,python2-pycairo)
+       ("python-pyatspi" ,python2-pyatspi)))
+    (native-inputs
+     `(("python-nose" ,python2-nose)
+       ("gtk+" ,gtk+)
+       ("xvfb" ,xorg-server)
+       ("dbus" ,dbus)
+       ("gsettings-desktop-schemas" ,gsettings-desktop-schemas)
+       ("gobject-introspection" ,gobject-introspection)))
+    (home-page "https://gitlab.com/dogtail/dogtail/")
     (synopsis "GUI test tool and automation framework written in Python")
     (description
      "Dogtail is a GUI test tool and automation framework written in Python.
-- 
2.26.0





Information forwarded to guix-patches@HIDDEN:
bug#40543; Package guix-patches. Full text available.

Message received at 40543 <at> debbugs.gnu.org:


Received: (at 40543) by debbugs.gnu.org; 10 Apr 2020 16:22:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 10 12:22:02 2020
Received: from localhost ([127.0.0.1]:55919 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jMwPp-0004mU-U1
	for submit <at> debbugs.gnu.org; Fri, 10 Apr 2020 12:22:02 -0400
Received: from mira.cbaines.net ([212.71.252.8]:47208)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jMwPo-0004m4-Co
 for 40543 <at> debbugs.gnu.org; Fri, 10 Apr 2020 12:22:00 -0400
Received: from localhost (unknown [46.237.163.111])
 by mira.cbaines.net (Postfix) with ESMTPSA id C951E27BBEA
 for <40543 <at> debbugs.gnu.org>; Fri, 10 Apr 2020 17:21:59 +0100 (BST)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id cf44cb16
 for <40543 <at> debbugs.gnu.org>; Fri, 10 Apr 2020 16:21:57 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: 40543 <at> debbugs.gnu.org
Subject: [PATCH 3/4] gnu: python2-dogtail: Switch to Python 3,
 and add Python 2 variant.
Date: Fri, 10 Apr 2020 17:21:56 +0100
Message-Id: <20200410162157.21065-3-mail@HIDDEN>
X-Mailer: git-send-email 2.26.0
In-Reply-To: <20200410162157.21065-1-mail@HIDDEN>
References: <87wo6n726x.fsf@HIDDEN>
 <20200410162157.21065-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40543
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python2-dogtail): Rename to python-dogtail.
[name]: Change python2-dogtail to python-dogtail.
[arguments]: Remove #:python.
[propagated-inputs,native-inputs]: Switch Python 2 packages to Python 3
variants.
(python2-dogtail): New variable.
---
 gnu/packages/python-xyz.scm | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 455bebf1b7..dac43eeea8 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -1735,11 +1735,9 @@ Python 3.3+.")
                (delete-file "test/test_Script.py")
                #t))))))))
 
-(define-public python2-dogtail
-  ;; Python 2 only, as it leads to "TabError: inconsistent use of tabs and
-  ;; spaces in indentation" with Python 3.
+(define-public python-dogtail
   (package
-    (name "python2-dogtail")
+    (name "python-dogtail")
     (version "0.9.11")
     (source (origin
              (method url-fetch)
@@ -1752,8 +1750,7 @@ Python 3.3+.")
                "0sr38z7b2n12bvfd4xw4b5dnnhkn5zl3h0ymmnnzavcihfqia6l0"))))
     (build-system python-build-system)
     (arguments
-     `(#:python ,python-2
-       #:tests? #f                      ; TODO Launching dbus for the tests
+     `(#:tests? #f                      ; TODO Launching dbus for the tests
                                         ; fails
        #:phases
        (modify-phases %standard-phases
@@ -1765,11 +1762,11 @@ Python 3.3+.")
                (invoke "dbus-run-session" "--" "nosetests" "-v" "tests/"))
              #t)))))
     (propagated-inputs
-     `(("python-pygobject" ,python2-pygobject)
-       ("python-pycairo" ,python2-pycairo)
-       ("python-pyatspi" ,python2-pyatspi)))
+     `(("python-pygobject" ,python-pygobject)
+       ("python-pycairo" ,python-pycairo)
+       ("python-pyatspi" ,python-pyatspi)))
     (native-inputs
-     `(("python-nose" ,python2-nose)
+     `(("python-nose" ,python-nose)
        ("gtk+" ,gtk+)
        ("xvfb" ,xorg-server)
        ("dbus" ,dbus)
@@ -1784,6 +1781,9 @@ applications. dogtail scripts are written in Python and executed like any
 other Python program.")
     (license license:gpl2+)))
 
+(define-public python2-dogtail
+  (package-with-python2 python-dogtail))
+
 (define-public python-empy
   (package
     (name "python-empy")
-- 
2.26.0





Information forwarded to guix-patches@HIDDEN:
bug#40543; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Apr 2020 16:09:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 10 12:09:19 2020
Received: from localhost ([127.0.0.1]:55898 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jMwDW-0002QD-U1
	for submit <at> debbugs.gnu.org; Fri, 10 Apr 2020 12:09:19 -0400
Received: from lists.gnu.org ([209.51.188.17]:42153)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jMwDU-0002Q5-VC
 for submit <at> debbugs.gnu.org; Fri, 10 Apr 2020 12:09:17 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:34366)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <mail@HIDDEN>) id 1jMwDU-0007tx-2T
 for guix-patches@HIDDEN; Fri, 10 Apr 2020 12:09:16 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,UNPARSEABLE_RELAY
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1jMwDT-00067F-3U
 for guix-patches@HIDDEN; Fri, 10 Apr 2020 12:09:15 -0400
Received: from mira.cbaines.net
 ([2a01:7e00:e000:2f8:fd4d:b5c7:13fb:3d27]:36031)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1jMwDS-000672-UK
 for guix-patches@HIDDEN; Fri, 10 Apr 2020 12:09:15 -0400
Received: from localhost (unknown [46.237.163.111])
 by mira.cbaines.net (Postfix) with ESMTPSA id AEAAF27BBE1
 for <guix-patches@HIDDEN>; Fri, 10 Apr 2020 17:09:13 +0100 (BST)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id 39371791
 for <guix-patches@HIDDEN>; Fri, 10 Apr 2020 16:09:11 +0000 (UTC)
User-agent: mu4e 1.2.0; emacs 26.3
From: Christopher Baines <mail@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 0/4] Work towards enabling virt-manager tests
Date: Fri, 10 Apr 2020 17:09:10 +0100
Message-ID: <87wo6n726x.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a01:7e00:e000:2f8:fd4d:b5c7:13fb:3d27
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--=-=-=
Content-Type: text/plain


Christopher Baines (4):
  gnu: Add python2-pyatspi.
  gnu: python2-dogtail: Update to 0.9.11.
  gnu: python2-dogtail: Switch to Python 3, and add Python 2 variant.
  gnu: virt-manager: Work towards enabling some tests.

 gnu/packages/gnome.scm          |  8 ++++++
 gnu/packages/python-xyz.scm     | 46 +++++++++++++++++++++++++--------
 gnu/packages/virtualization.scm | 22 +++++++++++++---
 3 files changed, 62 insertions(+), 14 deletions(-)

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKTBAEBCgB9FiEEPonu50WOcg2XVOCyXiijOwuE9XcFAl6QmiZfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcACgkQXiijOwuE
9XcRGRAAokVg99oGGIGJE4A5hMH+PgJnULOKaAjKjeMd855YKBtxTh/NK8hzc+Am
MlHrxwmt97qZnD6fiGMJZ2NJ7/DR0RwScAFKNtbxD4K+7CQfDZ3jxIO/jpTWar4z
DMvjAHe7KtAQ+WoWA94nDJ+GhJbbMS0L1y++5C13M6r4XRaaDuFkXRsZiEIqynKK
43J/ofCQGgy/bqd8ppKlDBBS4scOgwkFSc3SrU97j/48IzmWFeLvcU1SlZD6DRUN
W2yA8bBIWMdE0c4broOkz9pJgEk7fACfYwutbnDJ0Su2fB1FhFYsg4qhSOGZN+60
P0zWFN3q8BR4MBIZwL2weIY9VCki9jU56sD40JOCH3zJ8fcu7Ut1UtU4tcus5IMl
PZKcLzRNES2Zq5aDz2gl2/ii/tFMtYTYsUcP+H7U7t57hIc7buW/rcpPkJ9T6mGP
i+ihytxW0YYSG36CddslJPs1iif6Qimg0sn0qa/RkVAm5SO/iEz6u+kWK5JIpkIm
kZBT7aQHzjdhSk65PrgcntbfVdJW7PUihwWvEqVeUysUtoTtVfky2C2SSuxH8CR0
cdjRGMPAjym5fmyJ7aHdaaUSwWEH72Gw8Eb15fdc2JAPFGuy/fRfqxxmE2P7msnT
S1p7orIIGuQx5xH9lrTsc50JXGVFesBrTsi7Au2d39snrsDwx4o=
=334G
-----END PGP SIGNATURE-----
--=-=-=--




Acknowledgement sent to Christopher Baines <mail@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#40543; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 16 Apr 2020 08:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.